Show a list of transactions.

Query Params
string

Allows to request the inclusion of related resources.

Available relations:
* card

Example: card

string

Allows to query the additinal specified fields of the resource.
The fields can be listed separated by commas.

Available fields are:
exchangeAmount
feeAmount
feeCurrency
cashbackAmount
cashbackCurrency
exchangeRate
merchantName
merchantCountry
merchantCity
merchantCategory

Example: feeAmount,feeCurrency

string

Applies filtering on the 'cardId' field.

Available filters: in, eq.
in: field must be equal one of the values from a given set - in:1,2,3;
eq: field must be equal to the given value - eq:value;

Example: eq:76f0c740-5ea0-4220-ba67-2ce979880aa8

string

Applies filtering on the 'type' field.
Available types: [1 - PURCHASE, 2 - AUTH, 3 - CAPTURE, 4 - REVERSAL, 5 - REFUND, 6 - TRANSFER, 7 - WITHDRAWAL, 8 - BALANCE, 9 - DEPOSIT, 10 - SERVICE, 11 - FEE].

Available filters: in.
* in: field must be equal one of the values from a given set - in:1,2,3;

Example: in:2,5

string

Applies filtering on the 'createdAt' field.
The 'dateFrom' must be in time.Time format.

Available filters: [ge, gt].
ge: field greater than or equal to the given value - ge:value;
gt: field greater than the given value - gt:value;

Example: ge:2023-11-01T13:00:00Z

string

Applies filtering on the 'createdAt' field.
The 'dateTo' must be in time.Time format.

Available filters: [le, lt].
le: field less than or equal to the given value - le:value;
lt: field less than the given value - lt:value;

Example: le:2023-11-01T13:00:00Z

string

Requests to search for transactions by the occurrence of a substring in the 'merchantName' field.

Example: example

integer

Sets the page number (default 1)

Example: 5

integer

Sets the number of items per page (default 10, max 100)

Example: 25

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json